<?php
include ("../down/download.php");

// Vérifie si un répertoire est autorisé en affichage à une agence

function rep_agence_ok($DIR,$Fichier,$code_age)
{
	global
		$url_gfc;

	$rep_agence_ok = FALSE;

	$rep_agences = $url_gfc."/agences";
	$rep_cette_agence = $rep_agences."/".strtolower($code_age);
	$dir_et_fichier = $DIR."/".$Fichier;

	// On vérifie si rep_agences fait partie de DIR
	// (contrôle si on est dans le répertoire privatif des agences)
	$pos = strpos($DIR, $rep_agences);
	if ($pos === FALSE) // On est pas dans le sous-répertoire privatif des agences, on peut donc afficher
	{
		$rep_agence_ok = TRUE;
	}
	else // on y est !
	{
		// "Pile" dans le répertoire principal des répertoires privés des agences,
		// On ne peut afficher que le répertoire de cette agence
		if ($DIR == $rep_agences) 
		{
			if ($Fichier == strtolower($code_age))
				$rep_agence_ok = TRUE;
			else
				$rep_agence_ok = FALSE;
		}
		else // Ss-répertoire du répertoire des agences
		{
			// On vérifie si rep__cette_agence fait partie de DIR
			// (contrôle si on est bien dans le répertoire privatif de cette agence)
			if ($Fichier <> "")
				$pos2 = strpos($dir_et_fichier, $rep_cette_agence);
			else
				$pos2 = strpos($DIR, $rep_cette_agence);
			if ($pos2 === FALSE) // Ce n'est pas le cas...on affiche pas
			{
				$rep_agence_ok = FALSE;
			}
			else // C'est le sous-répertoire de cette agence...on peut afficher
			{
				$rep_agence_ok = TRUE;
			}
		}
	}
	
	return $rep_agence_ok;
}

// Vérifie si un répertoire client est autorisé en accès à une agence

function client_agence_ok($DIR,$Fichier,$code_age)
{
	global
		$url_gfc;

	$cli_agence_ok = FALSE;

	$rep_clients = $url_gfc."/clients";
	$pos = strpos($DIR, $rep_clients);
	if ($pos === FALSE) // On est pas dans le sous-répertoire privatif des clients
	{
		$cli_agence_ok = TRUE;
	}
	else // on y est !
	{
		// "Pile" dans le répertoire principal des répertoires privés des clients, "$Fichier" est donc peut-être un code client
		if ($DIR == $rep_clients) 
		{
			$row2 = lit_enr_cli($Fichier);
			if (is_array($row2)) // Ce code client existe, on vérifie donc le code agence "propriétaire" ou si non affecté
			{
				extract($row2);
				$row2 = lit_enr_age($code_age); // On récupère informations sur l'agence
				if (is_array($row2))
				{
					extract($row2);
					if ((dep_in_zc($cli_dep,$age_zone)) == TRUE) // Vérifie si dans zone de chalandise
					{
						if (($cli_prop == $code_age) OR ($cli_prop == NULL)) // vérifie si "propriétaire" ou non affecté
						{
							$cli_agence_ok = TRUE;
						}
					}
				}
			}
		}
		else // Ss-répertoire (on y est déjà entré)...on peut donc afficher
		{
			$cli_agence_ok = TRUE;
		}
	}
	
	return $cli_agence_ok;
}

function ext_fic_ok($extension)
{
	/*
	global
		$extensions_ok;
		
	$ext_ok = FALSE;

	if (in_array(".".$extension, $extensions_ok))
	{
		return true;
	}
	else
	{
		return false;
	}
	*/

	return true;
}

function date_fic_ok($fichier,$operande,$date)
{
	$date_ok = FALSE;
	$daterech_time = strtotime(datefrang($date));
	$datefile_time = strtotime(date("Y/m/d",filemtime($fichier)));
	
	switch ($operande)
	{
		case 0 : $date_ok = TRUE;
				break;
		case 1 : if ($datefile_time <= $daterech_time)
					$date_ok = TRUE;
				break;
		case 2 : if ($datefile_time >= $daterech_time)
					$date_ok = TRUE;
				break;
		case 3 : if ($daterech_time == $datefile_time)
					$date_ok = TRUE;
				break;
		case 4 : if ($daterech_time <> $datefile_time)
					$date_ok = TRUE;
				break;

		default: break;
	}
	
	return $date_ok;
}

function lit_dir($DIR,$niv_util,$code_util,$code_age)
{
	global
		$url_gfc;


	// Si on est admin, siège, agence, ou technicien, le répertoire maximum est le répertoire de base
	if ($niv_util >= 3)
		$rep_top = $url_gfc;
	// Si on est client, le répertoire maximum est le répertoire du client
	if ($niv_util == 1)
		$rep_top = $url_gfc."/clients/".strtolower($code_util);

	if ($DIR == $rep_top) // on est dans la "racine"
		$rep_cour = "";
	else
		$rep_cour = ereg_replace($rep_top."/","",$DIR);
		
	$dossier = opendir($DIR);
	
	while ($Fichier = readdir($dossier))
	{
		if ( ($Fichier != ".") && ($Fichier != "..") && ($Fichier != ".htaccess") )
		{
			if (is_dir($DIR."/".$Fichier) == TRUE)
			{
				// Si Agence ou technicien, on teste si c'est un client affichable, sinon on est ok
				if (($niv_util == 4) OR ($niv_util == 3))
				{
					// Test si on est dans le répertoire privatif des clients
					// (Affichage uniquement des clients gérés par l'agence demandant l'affichage)
					if ((client_agence_ok($DIR,$Fichier,$code_age) == TRUE) AND (rep_agence_ok($DIR,$Fichier,$code_age) == TRUE))
					{
						if ($rep_cour <> "")
							$chemin_rep = $rep_cour."/".$Fichier;
						else
							$chemin_rep = $Fichier;
						
						$Arrayfic[]= array('nom' => $chemin_rep,'fichier' => 0);
					}
				}
				else
				{
					if ($rep_cour <> "")
						$chemin_rep = $rep_cour."/".$Fichier;
					else
						$chemin_rep = $Fichier;
					
					$Arrayfic[]= array('nom' => $chemin_rep,'fichier' => 0);
				}
			}
			else
			{
				$ext_fic = strtolower(substr( strrchr( $Fichier,  "." ), 1 ));
				if (ext_fic_ok($ext_fic) == TRUE)
				{
					$Arrayfic[]= array('nom' => $Fichier,'fichier' => 1);
				}
			}
		}
	}
   closedir($dossier);

   return $Arrayfic;
}

function sort_by_key($array, $index)
{
	$sort = array();
	//préparation d'un nouveau tableau basé sur la clé à trier
	foreach ($array as $key => $val) 
	{
		$sort[$key] = $val[$index];
	}
	//tri par ordre naturel et insensible à la casse
	natcasesort($sort);
	//formation du nouveau tableau trié selon la clé
	$output = array();
	foreach($sort as $key => $val) 
	{
		$output[] = $array[$key];
	}
	return $output;
}

function affiche_rep($rep,$niv_util,$code_util,$code_age,$operande,$date)
{
	global
		$racine_web,
		$root,
		$url_gfc,
		$url_tfl,
		$taille_maxi_admin,
		$taille_maxi_cge,
		$taille_maxi_age,
		$taille_maxi_tec,
		$file_leech,
		$file_hack;

	// Si on est admin, siège, agence, ou technicien, le répertoire maximum est le répertoire de base
	if ($niv_util >= 3)
		$rep_top = $url_gfc;
	// Si on est client, le répertoire maximum est le répertoire du client
	if ($niv_util == 1)
		$rep_top = $url_gfc."/clients/".strtolower($code_util);

	$link_rep_clients = $url_gfc."/clients";
	$link_rep_agences = $url_gfc."/agences";

	$url_mkdir = "mdir.php?dir=".@$_GET['dir'];
	$link_icone = "<a href=\"javascript:;\" onclick=\"fensaisie('".$url_mkdir."',600,300,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');\")><img src=\"../img/rep_add.gif\" title=\"Ajouter un répertoire\" width=\"22\" height=\"22\" border=\"0\" align=\"absmiddle\"></a>";

	if ($rep == "") // On est dans la "racine"
	{
		// Variable donnant le chemin complet au répertoire courant
		$DIR = $rep_top;
	}
	else // On est dans un sous-répertoire
	{
		// Variable donnant le chemin complet au répertoire courant
		$DIR = $rep_top."/".$rep;
	}

	$aff_dir = TRUE;

	/* Contrôles des tentatives de Hacks */
	
	switch ($niv_util)
	{
		case 1 :
			// Si c'est un client, on vérifie :
			//   .Si dans le répertoire "clients/xxx", si on est bien dans celui du client
			$rep_ce_client = $url_gfc."/clients/".strtolower($code_util);
			// On vérifie si rep_ce_client fait partie de DIR
			// (CaD si le répertoire à parcourir est dans le répertoire privatif du client)
			$pos = strpos($DIR, $rep_ce_client);
			if ($pos === FALSE) // On est pas dans le sous-répertoire privatif du client, on ne peut pas afficher
			{
				$aff_dir = FALSE;
			}
			break;
		case 3 :
		case 4 :
			// Si c'est une agence ou un technicien, on vérifie :
			//   .Si dans le répertoire "agences/xxx", si on est bien dans celui de l'agence
			//   .Si dans le répertoire "clients/xxx", si le client est bien géré par l'agence

			// Contrôle si dans répertoire "agences/xxx"
			$rep_agences = $url_gfc."/agences";
			// On vérifie si rep_agences fait partie de DIR
			// (CaD si le répertoire à parcourir est dans le répertoire contenant toutes les agences)
			$pos = strpos($DIR, $rep_agences);
			if ($pos === FALSE) // On est pas dans le sous-répertoire privatif des agences, on peut donc afficher
			{
				$aff_dir = TRUE;
			}
			else // on y est
			{
				// "Pile" dans le répertoire principal des répertoires privés des agences,
				// On accepte le chemin à parcourir
				if ($DIR == $rep_agences) 
				{
					$aff_dir = TRUE;
				}
				else // On est dans un sous-répertoire au répertoire privatif des agences
				{
					$rep_cette_agence = $rep_agences."/".strtolower($code_age);
					// On vérifie si on est bien dans le répertoire de l'agence connectée
					$pos2 = strpos($DIR, $rep_cette_agence);
					if ($pos2 === FALSE) // On est pas dans le sous-répertoire privatif de cette agence, on ne peut pas afficher
					{
						$aff_dir = FALSE;
					}
				}
			}

			// Contrôle si dans répertoire "clients/xxx" (uniquement si pas déjà un problème)
			if ($aff_dir == TRUE)
			{
				$rep_clients = $url_gfc."/clients";
				// On vérifie si rep_clients fait partie de DIR
				// (CaD si le répertoire à parcourir est dans le répertoire contenant tous les clients)
				$pos = strpos($DIR, $rep_clients);
				if ($pos === FALSE) // On est pas dans le sous-répertoire privatif des agences, on peut donc afficher
				{
					$aff_dir = TRUE;
				}
				else // on y est
				{
					if ($rep <> "clients") // On est dans un sous-répertoire du répertoire "clients"
					{
						// Extraction du code client de l'URL
						$rep_get = substr($rep,8);
						$pos = strpos($rep_get, '/');
						if ($pos === FALSE)
						{
							if (strlen($rep_get) == 0)
								$rep_get = "";
						} 
						else 
						{
							$rep_get = substr($rep_get, 0, $pos);
						}

						// Contrôle du code client récupéré
						if ($rep_get <> "")
						{
							$row2 = lit_enr_cli($rep_get);
							if (is_array($row2)) // Ce code client existe, on vérifie donc le code agence "propriétaire" ou si non affecté
							{
								extract($row2);
								$row2 = lit_enr_age($code_age); // On récupère informations sur l'agence
								if (is_array($row2))
								{
									extract($row2);
									if ((dep_in_zc($cli_dep,$age_zone)) == TRUE) // Vérifie si dans zone de chalandise
									{
										// Dans la zone mais affecté à une autre agence : refusé
										if (($cli_prop <> $code_age) AND ($cli_prop <> NULL))
										{
											$aff_dir = FALSE;
										}
										
									}
									else // Pas dans la zone : refusé
										$aff_dir = FALSE;
								}
							}
						}
					}
				}
			}

			break;
		default :
			break;
	}
	
	if ($aff_dir == TRUE)
	{
		/* Affichage des icônes de création de répertoires */
		$aff_ico_addrep = FALSE;
		switch ($niv_util)
		{
			case 3 :
			case 4 :
			case 5 :
			case 9 :
				// On vérifie si on est dans le répertoire clients
				$pos1 = strpos($rep,"clients");
				if ($pos1 === FALSE)
				{
					// Non...On vérifie si on est dans le répertoire agences
					$pos2 = strpos($rep,"agences");
					if ($pos2 === FALSE)
					{
						// On est pas non plus dans le répertoire agences, on peut ajouter un répertoire
						$aff_ico_addrep = TRUE;
						break;
					}
					else
					{
						// On y est..si on est dans un sous répertoire de "agences" (donc dans son répertoire privé), on peut ajouter un répertoire
						if ($rep <> "agences")
							$aff_ico_addrep = TRUE;
					}
				}
				else
				{
					// Oui...si on est pas pile le répertoire clients (donc dans un sous répertoire client autorisé), on peut ajouter un répertoire)
					if ($rep <> "clients")
						$aff_ico_addrep = TRUE;
				}
				break;
			default :
				break;
		}

		if ($rep == "") // On est dans la "racine"
		{
			// Affichage du répertoire courant simplifié
			echo "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     
			echo "<td width=\"50%\">";
			echo "<span class=\"annot_std_it\">";
			echo "Vous êtes dans le répertoire principal ";
			echo "</span>";
			if ($aff_ico_addrep == TRUE)
				echo $link_icone;
			echo "</td>\n";
			echo "<td width=\"50%\">";
			echo "&nbsp;";
			echo "</td>\n";
			echo "</table>";
		}
		else // On est dans un sous-répertoire
		{
			// Variable donnant le chemin précédent par rapport au répertoire courant
			$rep_prec = strrev($rep);
			$pos = strpos($rep_prec, '/');
			if ($pos === FALSE)
			{
				$rep_prec = "";
			} 
			else 
			{
				$rep_prec = strrev(substr($rep_prec, $pos+1));
			}
	
			// Affichage du répertoire courant simplifié
			echo "<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     
			echo "<td width=\"50%\">";
			echo "<a href=\"fic_down.php?dir=".$rep_prec."&ope=".@$_GET['ope']."&date=".@$_GET['date']."\"> ";
			echo "[Niveau précédent]";
			echo "</a>";
			echo " ";
			echo "<a href=\"fic_down.php\">";
			echo "[Niveau principal]";
			echo "</a>";
			echo "</td>\n";
			echo "<td width=\"50%\" align=\"right\">";
			echo "<span class=\"annot_std_it\">";
			echo "Vous êtes dans le répertoire ";
			echo "</span>";
			echo "<span class=\"annot_gras_it\">";
			echo $rep." ";
			echo "</span>";
			if ($aff_ico_addrep == TRUE)
				echo $link_icone;
			echo "</td>\n";
			echo "</table>";
		}

		if (is_dir($DIR))
		{
	
			$Lst_Fic = lit_dir($DIR,$niv_util,$code_util,$code_age);
	
			if (count($Lst_Fic) == 0)
			{
				echo "<br>";
				echo "<span class=\"annot_gras_it\">Aucun fichier trouvé</span><br>";
			}
			else
			{
				echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     
				echo "<th>";
				echo "Nom du fichier";
				if ($niv_util == 9)
				{
					echo "<span class=\"annot_petit_it\">";
					echo " ( propriétaire )";
					echo "</span>";
				}
				echo "</th>\n";
				echo "<th>";
				echo "Taille";
				echo "</th>\n";
				echo "<th>";
				echo "Date et heure de modification";
				echo "</th>\n";
				echo "<th>";
				echo "Téléchargé";
				echo "</th>\n";
				if ($niv_util >= 3)
				{
					echo "<th>";
					echo "Cliquer";
					echo "</th>\n";
				}
		
				$Tab_Fic = sort_by_key($Lst_Fic, 'fichier');
				$Tab_Fic = sort_by_key($Tab_Fic, 'nom');
	
				$i = 0;
			
				foreach ($Tab_Fic as $key => $val) 
				{
					$Fichier = $val['nom'];
	
					$txtrech = @$_GET['search'];
					$txtrech_maj = str_majuscules($txtrech);
	
					// Récupération des données MySQL
					if ($val['fichier'] == 1)
					{
						$chemin_fichier = $DIR."/".$Fichier;
						$fic_nbtel = download_count($rep."/".$Fichier);
					}
					else
					{
						$chemin_fichier = $rep_top."/".$Fichier;
					}
	
					$row = lit_enr_fic($chemin_fichier);
					if (is_array($row) == TRUE)
					{
						extract($row);
						if ($fic_desc == "")
							$fic_desc = $Fichier;
					}
					else
					{
						$fic_desc = $Fichier;
					}
					$fic_createur = donne_createur_ficdir($chemin_fichier);
	
					// Test si recherche demandée
					if ($txtrech <> "")
					{
						$aff_fichier = FALSE;
					
						if ($val['fichier'] == 1) // C'est un fichier, on teste sur son "vrai" nom ou le descriptif
						{
							$fichier_maj = str_majuscules($Fichier);
						}
						else // C'est un répertoire, on teste sur le nom affiché ou le descriptif
						{
							if ($rep <> "") // On est dans un sous répertoire
								$nom_rep = substr(ereg_replace($rep,"",$Fichier),1);
							else
								$nom_rep = substr($Fichier,1);
							$fichier_maj = str_majuscules($nom_rep);
						}
					
						// Le nom réel du fichier ou répertoire correspond à la recherche
						// Ou le descriptif contien le(s) mot(s) recherché(s)
						if (ereg($txtrech_maj,$fichier_maj) OR ereg(strtoupper($txtrech),strtoupper($fic_desc)) OR ereg(strtoupper($txtrech),strtoupper($fic_createur)))
						{
							$aff_fichier = TRUE;
						}
					}
					else
						$aff_fichier = TRUE;
	
					if ($aff_fichier == TRUE) // Filtre sur chaîne recherchée
					{
			
						if ($val['fichier'] == 1) // C'est un fichier
						{
							$urlfic = $DIR."/".$Fichier;
							if (date_fic_ok($urlfic,$operande,$date) == TRUE) // Filtre sur date
							{
								// Création de l'entête de ligne (TR)
								creetrlst($i);
								
								$createur=donne_createur_ficdir($chemin_fichier);
								echo "<td width=\"50%\" align=\"center\">";
								echo "<a href=\"../down/download.php?".$rep."/".$Fichier."\">".$fic_desc."</a>";
								if ($niv_util == 9)
								{
									echo "<span class=\"annot_petit_it\">";
									echo " (".$createur.")";
									echo "</span>";
								}
								echo "</td>\n";
								echo "<td align=\"center\">";
								if ($niv_util == 1)
									echo download_size("clients/".strtolower($code_util)."/".$Fichier);
								else
									echo download_size($rep."/".$Fichier);
								echo "</td>\n";
								echo "<td align=\"center\">".date("d/m/Y H:i:s",filemtime($urlfic))."</td>\n";
								$nb_fois = $fic_nbtel." fois";
								echo "<td align=\"center\">".$nb_fois."</td>\n";
								if ($niv_util >= 3)
								{
									echo "<td align=\"center\">";
									if (est_createur_ficdir($chemin_fichier,$code_util) == TRUE)
									{
										$url_del = "fddel.php?td=1&name=".$rep."/".$Fichier;
										echo "<a href=\"javascript:;\" onclick=\"fensaisie('".$url_del."',600,300,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');\")><img src=\"../img/del.gif\" title=\"Supprimer le fichier\" width=\"22\" height=\"22\" border=\"0\" align=\"absmiddle\"></a>";
									}
									if ($niv_util == 9)
									{
										$row = lit_enr_fic($chemin_fichier);
										if (is_array($row) == FALSE)
										{
											$url_ren = "fdren.php?td=1&name=".$rep."/".$Fichier;
											echo "<a href=\"javascript:;\" onclick=\"fensaisie('".$url_ren."',900,300,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');\")><img src=\"../img/info.png\" title=\"Saisir un nom détaillé\" width=\"22\" height=\"22\" border=\"0\" align=\"absmiddle\"></a>";
										}
										else
										{
											if ($createur<>$code_util)
											{
												$url_grab = "fdgrab.php?td=1&name=".$rep."/".$Fichier;
												echo "<a href=\"javascript:;\" onclick=\"fensaisie('".$url_grab."',700,300,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');\")><img src=\"../img/main.gif\" title=\"S'approprier le fichier\" width=\"22\" height=\"22\" border=\"0\" align=\"absmiddle\"></a>";
											}
										}
									}
									echo "</td>\n";
								}
			
								echo "</tr>\n";
							}
						}
						else // C'est un répertoire
						{
							// Création de l'entête de ligne (TR)
							creetrlst($i);

							$createur=donne_createur_ficdir($chemin_fichier);
							echo "<td width=\"50%\" align=\"center\">";
							echo "<a href=\"fic_down.php?dir=".$Fichier."&ope=".@$_GET['ope']."&date=".@$_GET['date']."\"> ".$fic_desc." </a>";
							if ($niv_util == 9)
							{
								echo "<span class=\"annot_petit_it\">";
								echo " (".$createur.")";
								echo "</span>";
							}
							echo "</td>\n";
							echo "<td>&nbsp;</td>\n";
							echo "<td align=\"center\">";
							echo "<span class=\"annot_std_it\">";
							echo "Répertoire";
							echo "</span>";
							echo "</td>\n";
							echo "<td>&nbsp;</td>\n";
							if ($niv_util >= 3)
							{
								echo "<td align=\"center\">";
								if (est_createur_ficdir($chemin_fichier,$code_util) == TRUE)
								{
									$url_del = "fddel.php?td=0&name=".$Fichier;
									echo "<a href=\"javascript:;\" onclick=\"fensaisie('".$url_del."',600,300,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');\")><img src=\"../img/del.gif\" title=\"Supprimer le r&eacute;pertoire\" width=\"22\" height=\"22\" border=\"0\" align=\"absmiddle\"></a>";
								}
								if ($niv_util == 9)
								{
									$row = lit_enr_fic($chemin_fichier);
									if (is_array($row) == FALSE)
									{
										$url_ren = "fdren.php?td=0&name=".$Fichier;
										echo "<a href=\"javascript:;\" onclick=\"fensaisie('".$url_ren."',900,300,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');\")><img src=\"../img/info.png\" title=\"Saisir un nom détaillé\" width=\"22\" height=\"22\" border=\"0\" align=\"absmiddle\"></a>";
									}
									else
									{
										if ($createur<>$code_util)
										{
											$url_grab = "fdgrab.php?td=0&name=".$Fichier;
											echo "<a href=\"javascript:;\" onclick=\"fensaisie('".$url_grab."',700,300,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');\")><img src=\"../img/main.gif\" title=\"S'approprier le répertoire\" width=\"22\" height=\"22\" border=\"0\" align=\"absmiddle\"></a>";
										}
									}
								}
								echo "</td>\n";
							}
							echo "</tr>\n";
						}
						$i++;
					}
				}
		
				echo "</table>";
		
				echo "<br>";
				echo "Nombre de fichier(s) : ".$i;
	
				switch ($niv_util)
				{
					case 9 : echo "<br><br>";
							if (download_exist_leech() == TRUE)
								echo " <a href=\"".$racine_web."/".ereg_replace($root,"",$file_leech)."\" target=\"_blank\">Leech détecté !</a>";
							if (download_exist_hack() == TRUE)
								echo " / <a href=\"".$racine_web."/".ereg_replace($root,"",$file_hack)."\" target=\"_blank\">Hack détecté !</a>";
							break;
								
					default : break;
				}
			}

			/* Affichage de la zone d'upload */
			$aff_upl = FALSE;
			switch ($niv_util)
			{
				case 3 :
				case 4 :
					// On vérifie si on est dans le répertoire clients
					$pos1 = strpos($rep,"clients");
					if ($pos1 === FALSE)
					{
						// Non...On vérifie si on est dans le répertoire agences
						$pos2 = strpos($rep,"agences");
						if ($pos2 === FALSE)
						{
							// On est pas non plus dans le répertoire agences, on ne peut pas télécharger
							break;
						}
						else
						{
							// On y est..si on est dans un sous répertoire de "agences" (donc dans son répertoire privé), on peut télécharger
							if ($rep <> "agences")
								$aff_upl = TRUE;
						}
					}
					else
					{
						// Oui...si on est pas pile le répertoire clients (donc dans un sous répertoire client autorisé), on peut télécharger)
						if ($rep <> "clients")
							$aff_upl = TRUE;
					}
					break;
				case 5 :
				case 9 : 
					// On vérifie si on est dans le répertoire clients
					$pos1 = strpos($rep,"clients");
					if ($pos1 === FALSE)
					{
						// Non...On vérifie si on est dans le répertoire agences
						$pos2 = strpos($rep,"agences");
						if ($pos2 === FALSE)
						{
							// On est pas non plus dans le répertoire agences, on peut télécharger
							$aff_upl = TRUE;
							break;
						}
						else
						{
							// On y est..si on est dans un sous répertoire de "agences" (donc dans son répertoire privé), on peut télécharger
							if ($rep <> "agences")
								$aff_upl = TRUE;
						}
					}
					else
					{
						// Oui...si on est pas pile le répertoire clients (donc dans un sous répertoire client autorisé), on peut télécharger)
						if ($rep <> "clients")
							$aff_upl = TRUE;
					}
					break;
				default :
					break;
			}
			if ($aff_upl == TRUE)
				include_once ("../inc/upl.php");
	   }
	   else
	   {
			echo "Le répertoire spécifié n'existe pas ou erreur d'ouverture.";
	   }
	}
	else
	{
	?>
		<script type="text/javascript">
		setTimeout("self.location.href=('fic_down.php');",2000)
		</script>
	<?PHP
	}   
}

?>